package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Device location
 */
@ApiModel(description = "Device location")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class DeviceLocationDetailVo   {
  @JsonProperty("longitude")
  private Double longitude;

  @JsonProperty("latitude")
  private Double latitude;

  @JsonProperty("address")
  private String address;

  public DeviceLocationDetailVo longitude(Double longitude) {
    this.longitude = longitude;
    return this;
  }

  /**
   * Longitude of the device.
   * @return longitude
  */
  @ApiModelProperty(value = "Longitude of the device.")


  public Double getLongitude() {
    return longitude;
  }

  public void setLongitude(Double longitude) {
    this.longitude = longitude;
  }

  public DeviceLocationDetailVo latitude(Double latitude) {
    this.latitude = latitude;
    return this;
  }

  /**
   * Latitude of the device.
   * @return latitude
  */
  @ApiModelProperty(value = "Latitude of the device.")


  public Double getLatitude() {
    return latitude;
  }

  public void setLatitude(Double latitude) {
    this.latitude = latitude;
  }

  public DeviceLocationDetailVo address(String address) {
    this.address = address;
    return this;
  }

  /**
   * Address of the device.
   * @return address
  */
  @ApiModelProperty(value = "Address of the device.")


  public String getAddress() {
    return address;
  }

  public void setAddress(String address) {
    this.address = address;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DeviceLocationDetailVo deviceLocationDetailVo = (DeviceLocationDetailVo) o;
    return Objects.equals(this.longitude, deviceLocationDetailVo.longitude) &&
        Objects.equals(this.latitude, deviceLocationDetailVo.latitude) &&
        Objects.equals(this.address, deviceLocationDetailVo.address);
  }

  @Override
  public int hashCode() {
    return Objects.hash(longitude, latitude, address);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DeviceLocationDetailVo {\n");
    
    sb.append("    longitude: ").append(toIndentedString(longitude)).append("\n");
    sb.append("    latitude: ").append(toIndentedString(latitude)).append("\n");
    sb.append("    address: ").append(toIndentedString(address)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

